using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LogicOperators
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            label1.Content = "int i = 3;\t int j = 20;";
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            int i = 3;
            int j = 20;
            bool result = (i > 5 && j > 5);
            label2.Content = result.ToString();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            int i = 3;
            int j = 20;
            bool result = (i > 5 || j > 5);
            label3.Content = result.ToString();
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            int i = 3;
            int j = 20;
            bool result = (i > 5 ^ j > 5);
            label4.Content = result.ToString();
        }

        private void button4_Click(object sender, RoutedEventArgs e)
        {
            int i = 3;
            bool result = !(i > 5);
            label5.Content = result.ToString();
        }
    }
}
